List all automation rules in an account
Get details of automation rules in an Account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
automation_rules
List all automation rules in an account
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/automation_rules \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/automation_rules"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/automation_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/automation_rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/automation_rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": [
{
"id": 1,
"account_id": 1,
"name": "Label billing conversations",
"description": "Adds a billing label when a customer message mentions billing.",
"event_name": "message_created",
"conditions": [
{
"values": [
"billing"
],
"attribute_key": "content",
"query_operator": null,
"filter_operator": "contains"
}
],
"actions": [
{
"action_name": "add_label",
"action_params": [
"billing"
]
}
],
"created_on": 1789851405,
"active": true
},
{
"id": 2,
"account_id": 1,
"name": "Assign Apple Messages conversations",
"description": "Routes new Apple Messages conversations to the Onboarding team.",
"event_name": "conversation_created",
"conditions": [
{
"values": [
"1"
],
"attribute_key": "inbox_id",
"query_operator": null,
"filter_operator": "equal_to"
}
],
"actions": [
{
"action_name": "assign_team",
"action_params": [
1
]
}
],
"created_on": 1789851405,
"active": true
}
]
}{
"error": "Resource could not be found"
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Query Parameters
The page parameter
Response
Success
- object[]
- object
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List all automation rules in an account
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/automation_rules \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/automation_rules"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/automation_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/automation_rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/automation_rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": [
{
"id": 1,
"account_id": 1,
"name": "Label billing conversations",
"description": "Adds a billing label when a customer message mentions billing.",
"event_name": "message_created",
"conditions": [
{
"values": [
"billing"
],
"attribute_key": "content",
"query_operator": null,
"filter_operator": "contains"
}
],
"actions": [
{
"action_name": "add_label",
"action_params": [
"billing"
]
}
],
"created_on": 1789851405,
"active": true
},
{
"id": 2,
"account_id": 1,
"name": "Assign Apple Messages conversations",
"description": "Routes new Apple Messages conversations to the Onboarding team.",
"event_name": "conversation_created",
"conditions": [
{
"values": [
"1"
],
"attribute_key": "inbox_id",
"query_operator": null,
"filter_operator": "equal_to"
}
],
"actions": [
{
"action_name": "assign_team",
"action_params": [
1
]
}
],
"created_on": 1789851405,
"active": true
}
]
}{
"error": "Resource could not be found"
}